`AllDA` <-
function(X, y, Xt, yt){
tests<-c("LDA","QDA","DLDA","DQDA","Logistic","1-kNN", "3-kNN", "CART", "PCR-1", "PCR-2")
tests<-c(tests, "SVM")
tests<-c(tests, "FFNNsize=0skip=T") #skip=T, means include it
tests<-c(tests, "FFNNsize=1skip=F")
tests<-c(tests, "FFNNsize=1skip=T")
tests<-c(tests, "FFNNsize=2skip=F")
tests<-c(tests, "FFNNsize=2skip=T")
nTests<-length(tests)
tb<-matrix(numeric(2*nTests), ncol=2)
dimnames(tb)<-list(tests, c("Train","Test")) 
tb[1,] <- FitLDA(X, y, Xt, yt)$MisRates
tb[2,] <- FitQDA(X, y, Xt, yt)$MisRates
tb[3,] <- FitDLDA(X, y, Xt, yt)$MisRates
tb[4,] <- FitDQDA(X, y, Xt, yt)$MisRates
tb[5,] <- FitLogistic(X, y, Xt, yt)$MisRates
tb[6,] <- FitkNN(X, y, Xt, yt,k=1)$MisRates
tb[7,] <- FitkNN(X, y, Xt, yt,k=3)$MisRates
tb[8,] <- FitCART(X, y, Xt, yt)$MisRates
tb[9,] <- FitPCReg(X, y, Xt, yt,ncomp=1)$MisRates
tb[10,] <- FitPCReg(X, y, Xt, yt,ncomp=2)$MisRates
tb[11,] <- FitSVM(X, y, Xt, yt)$MisRates
tb[12,] <- FitFFNN(X, y, Xt, yt,size=0,skip=TRUE)$MisRates
tb[13,] <- FitFFNN(X, y, Xt, yt,size=1,skip=FALSE)$MisRates
tb[14,] <- FitFFNN(X, y, Xt, yt,size=1,skip=TRUE)$MisRates
tb[15,] <- FitFFNN(X, y, Xt, yt,size=2,skip=FALSE)$MisRates
tb[15,] <- FitFFNN(X, y, Xt, yt,size=2,skip=TRUE)$MisRates
tb
}

