`NN.K` <-
function(K, x, cl){ 
#
# Finding whether predicted class is equal to test class. This is needed for function 'OptimalK'.
#
# K   : The nearest neighbor value to be taken
# x   : data frame or matrix 
# cl  : defining y vector taking values -1 and 1 for two classes
#
    res.knn<-knn.cv(x, cl=cl, k = K, l = 0, prob = FALSE, use.all = TRUE)
    res.v<- 2*as.numeric(res.knn)-3
    class.pred<- cbind(cl, res.v) 
    sum(class.pred[,1]-class.pred[,2]==0)
 }

