\name{ErrorPredClass}
\alias{ErrorPredClass}
\title{ Utility function, FitNNReg }
\description{
  Utility
}
\usage{
ErrorPredClass(Train, Test, Cl.Train, Cl.Test, Reg = plsr, ncomp = 5)
}

\arguments{
  \item{Train}{ Training sample }
  \item{Test}{ Test sample }
  \item{Cl.Train}{ Class in training data. Classes are given as -1 or 1.}
  \item{Cl.Test}{ Class in test data. Classes are given as -1 or 1.}
  \item{Reg}{ Method of regression, which can be plsr or pcr }
  \item{ncomp}{Number of components taken in the pls/pc regression. For
  example, ncomp=5 means it will take components 1, 2, ..., 5. }
}

\value{
mis-classification rates
}

\author{ Shahidul Islam }

\seealso{ \code{\link{FitNNReg}} }

\examples{
}

\keyword{ classif }
