\name{FitDQDA}
\alias{FitDQDA}
\title{ Diagonal Quadratic DA }
\description{
  Diagonal QDA
}
\usage{
FitDQDA(X, y, Xt, yt)
}

\arguments{
  \item{X}{ design matrix, training sample }
  \item{y}{ binary response vector of 1 and -1 }
  \item{Xt}{ design matrix, test sample }
  \item{yt}{ binary response vector of 1 and -1  }
}

\details{
  
}
\value{
list with two components:
misclassification rates
and confusion matricies for both the training and test samples.
}
\author{ AIM }

\examples{
data(Gaussian)
attach(Gaussian)
FitDQDA(X, y, Xt, yt)
}

\keyword{ classif }

