\name{FitFFNN}
\alias{FitFFNN}
\title{ Feed Forward Neural Net for Classification }
\description{
Feed Forward Neural Net for Classification
}
\usage{
FitFFNN(X, y, Xt, yt, size = 1, skip = TRUE)
}

\arguments{
  \item{X}{ design matrix, training sample }
  \item{y}{ binary response vector of 1 and -1 }
  \item{Xt}{ design matrix, test sample }
  \item{yt}{ binary response vector of 1 and -1  }
  \item{size}{ number of nodes in hidden layer }
  \item{skip}{ if TRUE, no skip layer. Otherwise skip layer. }
}

\value{
list with two components:
misclassification rates
and confusion matricies for both the training and test samples.
}
\author{ AIM }

\examples{
data(Gaussian)
attach(Gaussian)
FitFFNN(X, y, Xt, yt)
}

\keyword{ classif }

