\name{KNN.covariate.test}
\alias{KNN.covariate.test}
\title{ KNN autocovariates, test data }
\description{
This function computes the autocovariates in terms of nearest neighbor in test set
defined by Holmes et al. (2002).
}

\usage{
KNN.covariate.test(K, train, cl, test, ...)
}

\arguments{
  \item{K}{ value of nearest neighbor defined by Holmes et al. (2002) }
  \item{train}{training data set }
  \item{cl}{ class levels for the training set }
  \item{test}{ test data }
  \item{\dots}{ optional arguments }
}

\value{
The fraction of mis-classifications.
}

\references{
C. C. Holmes and N. M. Adams
Likelihood inference in nearest-neighbour classification models
Biometrika (2003), 90, 99--112.
}

\author{ Shahidul Islam }

\seealso{ \code{\link{FitNNReg}} }


\examples{

}

\keyword{ classif }


