\name{NN.CV}
\alias{NN.CV}
\title{ Cross validation error rate }
\description{
It finds the cross validation error rate, as done in package pls,
for given training set and regression method.
}
\usage{
NN.CV(Train, Cl.Train, Reg = plsr, ncomp = 5)
}

\arguments{
  \item{Train}{ Training sample }
  \item{Cl.Train}{ Class of training sample}
  \item{Reg}{ ethod of regression, which can be plsr or pcr }
  \item{ncomp}{ Number of components taken in the pls/pc regression.
   For example, ncomp=5 means it will take components 1, 2, ..., 5.}
}

\value{
error rate
}

\author{ Shahidul Islam }

\seealso{ \code{\link{OptimalK}} }

\examples{
}

\keyword{ classif }


