\name{TTestTable}
\alias{TTestTable}
\title{ Table of p-values using t-test }
\description{
The p-values are computed using a t-test and a table is produced.
}
\usage{
TTestTable(X, y)
}
\arguments{
  \item{X}{ design matrix }
  \item{y}{ response, y=1 or y=-1 }
}
\value{
matrix
}
\author{A.I. McLeod }

\seealso{ \code{\link{GeneSelectPValue}} }
\examples{
data(Mixture)
attach(Mixture)
TTestTable(X, y)
}
\keyword{ classif }
