`GeneSelect` <-
function(Dataset, nGenes=10){
X<-Dataset$X
Xt<-Dataset$Xt
y<-Dataset$y
yt<-Dataset$yt
#Assume X is design matrix form
stopifnot(is.matrix(X), is.matrix(Xt), is.vector(y), is.vector(yt))
    IND <- (y==1)
    test<-function(x)
        abs(t.test(x[IND],x[!IND])$statistic)
    T <- apply(X, 2, test)
    ind <- order(T,decreasing=TRUE)[1:nGenes]
    list(X=X[,ind], y=y, Xt=Xt[,ind], yt=yt)
}

