`GeneSelectPValue` <-
function(Dataset, PValueCutoff=1e-3){
X<-Dataset$X
Xt<-Dataset$Xt
y<-Dataset$y
yt<-Dataset$yt
#Assume X is design matrix form
stopifnot(is.matrix(X), is.matrix(Xt), is.vector(y), is.vector(yt))
    IND <- (y==1)
    test<-function(x)
        t.test(x[IND],x[!IND])$p.value
    p <- apply(X, 2, test)
    ind <- p < PValueCutoff
    list(X=X[,ind], y=y, Xt=Xt[,ind], yt=yt)
}

