`OrderVar.glm` <-
function(X,Y){
#
# This finds the ordered nearest neighbors using BIC.
#
# X: Data matrix
# Y: Vector of class levels
#
    TVal<-function(x,y){f<-glm(y~x, family="binomial" ); AIC(f, k=log(length(y)))}
    FindTVal<-suppressWarnings(apply(X,2, TVal, y=Y))
    order(FindTVal)
}

