`TTestTable` <-
function(X, y){
#Assume X is design matrix form
#design matrix, columns are genes, rows samples
    IND <- (y==1)
    test<-function(x)
        pv<-t.test(x[IND],x[!IND])$p.value
    p <- apply(X, 2, test)
    ps<-10^(-(3:11))
    ngenes<-apply(outer(p,ps,"<"), 2, sum)
    tp<-matrix(c(ps,ngenes), ncol=2)
    dimnames(tp)<-list(1:length(ps), c("PValue","NumGenes"))
    tp
}

