\name{FitPCReg}
\alias{FitPCReg}
\title{ Principal component regression }
\description{
Principal component regression
}
\usage{
FitPCReg(X, y, Xt, yt, ncomp = 1)
}

\arguments{
  \item{X}{ design matrix, training sample }
  \item{y}{ binary response vector of 1 and -1 }
  \item{Xt}{ design matrix, test sample }
  \item{yt}{ binary response vector of 1 and -1  }
  \item{ncomp}{ number of components  }
}
\details{
  
}
\value{
list with two components:
misclassification rates
and confusion matricies for both the training and test samples.
}
\author{ AIM }

\examples{
data(Gaussian)
attach(Gaussian)
FitPCReg(X, y, Xt, yt)
}

\keyword{ classif }




