\name{Gaussian}
\alias{Gaussian}
\docType{data}
\title{ Gaussian data with two classes}
\description{
Two predictor variables generated from a bivariate normal
distribution.  The covariance matrix is different for each class.
In the training sample, there is a separating hyperplane.
}
\usage{data(Gaussian)}
\format{
  The format is:
List of 4
 $ X : num [1:200, 1:2] 1.142 0.589 0.946 1.327 1.052 ...
 $ y : num [1:200] 1 1 1 1 1 1 1 1 1 1 ...
 $ Xt: num [1:200, 1:2]  1.20 -0.63  1.28  1.02  1.17 ...
 $ yt: num [1:200] 1 1 1 1 1 1 1 1 1 1 ...
}
\details{
}
\examples{
data(Gaussian)
attach(Gaussian)
FitLDA(X,y,Xt,yt)
}
\keyword{datasets}
