\name{GeneSelect}
\alias{GeneSelect}
\title{ Select supergenes }
\description{
A pre-specified number of gense
with the largest absolute t-ratio are selected.
}
\usage{
GeneSelect(Dataset, nGenes = 10)
}

\arguments{
  \item{Dataset}{ list with named components X, y, Xt, yt, where
X is the design matrix of the training sample,
y is the binary response vector of 1 and -1 for training sample,
Xt is the design matrix of the test sample
and yt is the binary response vector of 1 and -1 for test sample.}
  \item{nGenes}{ number of genes to select }
}

\value{
a list with four components, X, y, Xt, yt. 
}
\author{ A.I. McLeod }
\seealso{ \code{\link{GeneSelect}} }
\examples{
}
\keyword{ classif }


