\name{GeneSelectPValue}
\alias{GeneSelectPValue}
\title{ Select supergenes using p-value }
\description{
The p-value is computed in the training data and all genes below the cutoff are removed. 
}
\usage{
GeneSelectPValue(Dataset, PValueCutoff = 0.001)
}
\arguments{
  \item{Dataset}{ list with named components X, y, Xt, yt, where
X is the design matrix of the training sample,
y is the binary response vector of 1 and -1 for training sample,
Xt is the design matrix of the test sample
and yt is the binary response vector of 1 and -1 for test sample.}
  \item{PValueCutoff}{ cutoff }
}
\value{
a list with four components, X, y, Xt, yt. 
}
\author{ A.I. McLeod }
\seealso{ \code{\link{GeneSelect}} }
\examples{
}
\keyword{ classif }
