\name{OneDPlots}
\alias{OneDPlots}
\title{ One dimension data plots of the columns }
\description{
Random sampling of the columns of the design matrix is used
to select genes.  The distribution for each gene is plotted
for each of y=1 and y=-1.
}
\usage{
OneDPlots(X, y, NumGenes = 100, NPlots = 1)
}
\arguments{
  \item{X}{ design matrix }
  \item{y}{ binary response, y=1 or y=-1 }
  \item{NumGenes}{ number of genes to put on each plot }
  \item{NPlots}{ number of plots }
}
\details{
Useful for getting a quick view of the data
}
\value{
None, a trellis plot or series of trellis plots are printed.
}
\author{ A.I. McLeod }
\note{ 

}
\seealso{ \code{\link{ImagePlot}} }
\examples{
data(Iizuka)
OneDPlots(Iizuka$X, Iizuka$y)
}
\keyword{ classif }
