\name{OptimalK}
\alias{OptimalK}
\title{ Optimal K }

\description{
 This function will provide the series of NN values by predicting the class in leave-one-out method. 
 That is, we fit the model for all observations except one and then apply the rule to that left 
 observation and find the predicted class. 
}

\usage{
OptimalK(i, x, cl, ...)
}

\arguments{
  \item{i}{ the row numbers where to apply the leave-one-out method }
  \item{x}{ data frame or matrix }
  \item{cl}{ defining y vector taking values -1 and 1 for two classes }
  \item{\dots}{ ... }
}

\details{

}

\value{
the value of K
}

\author{ Shahidul Islam }

\seealso{ \code{\link{FitNNReg}} }

\examples{
}

\keyword{ classif }
