\name{Standardize}
\alias{Standardize}
\title{ Standarize matrix }
\description{
Standardize row or column.
The default, margin=2, corresponds to columns
}
\usage{
Standardize(X, margin = 2, fn = function(x) (x - mean(x))/sd(x))
}
\arguments{
  \item{X}{design matrix }
  \item{margin}{ =2 or 1 according as column/row }
  \item{fn}{ function }
}
\value{
matrix, standardized
}
\author{ A.I. McLeod }


\examples{
data(Iizuka)
X<-Iizuka$X
XS<-Standardize(X, margin=1) #sometimes done with microarray data
}

\keyword{ classif }
